package com.ruoyi.framework.recovery.mapper;

import java.util.List;
import com.ruoyi.framework.recovery.domain.RecSaleInfo;

/**
 * 发售信息详情Mapper接口
 * 
 * @author jin
 * @date 2024-11-18
 */
public interface RecSaleInfoMapper 
{
    /**
     * 查询发售信息详情
     * 
     * @param id 发售信息详情主键
     * @return 发售信息详情
     */
    public RecSaleInfo selectRecSaleInfoById(Long id);

    /**
     * 查询发售信息详情列表
     * 
     * @param recSaleInfo 发售信息详情
     * @return 发售信息详情集合
     */
    public List<RecSaleInfo> selectRecSaleInfoList(RecSaleInfo recSaleInfo);

    /**
     * 新增发售信息详情
     * 
     * @param recSaleInfo 发售信息详情
     * @return 结果
     */
    public int insertRecSaleInfo(RecSaleInfo recSaleInfo);

    /**
     * 修改发售信息详情
     * 
     * @param recSaleInfo 发售信息详情
     * @return 结果
     */
    public int updateRecSaleInfo(RecSaleInfo recSaleInfo);

    /**
     * 删除发售信息详情
     * 
     * @param id 发售信息详情主键
     * @return 结果
     */
    public int deleteRecSaleInfoById(Long id);

    /**
     * 批量删除发售信息详情
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecSaleInfoByIds(Long[] ids);
}
